GoJS® Diagramming Components
version 1.6.19 for JavaScript/HTML
by Northwoods Software®

## Class CircularVertex

Extends . This holds CircularLayout-specific information about Nodes.

This class inherits from LayoutVertex.

## Constructor Summary Details

Name | Description
--- | ---
CircularVertex() |

## Properties Summary Details

Name, Value Type | Description
--- | ---
actualAngle {number} | Gets or sets the value used as the vertex's angle.
diameter {number} | Gets or sets the value used as the vertex's diameter.More... By default the value depends on the CircularLayout.arrangement property. Any computed value is cached, to avoid unnecessary expensive computations.